be.ehealth.businessconnector.mycarenet.memberdatacommons.builders

## Interface RequestObjectBuilder

- All Known Implementing Classes:
    EncryptedRequestObjectBuilderImpl, IrisCareNetEncryptedRequestObjectBuilder, IrisCareNetNotEncryptedRequestObjectBuilder, NotEncryptedRequestObjectBuilderImpl, WalCareNetEncryptedRequestObjectBuilder, WalCareNetNotEncryptedRequestObjectBuilder

      public interface RequestObjectBuilder

  Provides method(s) to create an MemberData Sync WS request. Default impl : `EncryptedRequestObjectBuilderImpl` or `NotEncryptedRequestObjectBuilderImpl` Factory : `RequestObjectBuilderFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MemberDataConsultationRequest` | `buildConsultationRequest(boolean isTest, InputReference reference, Object attrQuery)` Creates the `MemberDataConsultationRequest` that will be sent to the EHealth Web service and checks validity against the corresponding XSD

- - ### Method Detail

    - #### buildConsultationRequest

          MemberDataConsultationRequest buildConsultationRequest(boolean isTest,
                                                                 InputReference reference,
                                                                 Object attrQuery)
                                                          throws TechnicalConnectorException,
                                                                 MemberDataBusinessConnectorException

      Creates the `MemberDataConsultationRequest` that will be sent to the EHealth Web service and checks validity against the corresponding XSD
      Parameters:
        `isTest` - indicates if this is a test or not
        `reference` - the reference of the the patient
        `attrQuery` - the attribute query who ll be transformed in b64 and maybe encrypted
      Returns:
        the request that need to be sent
      Throws:
        `MemberDataBusinessConnectorException` - the MemberData Business connector exception
        `TechnicalConnectorException` - the technical connector exception

Connector Packaging PERSNURSE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.